<mat-expansion-panel (opened)="onOpened()" class="panel">
    <mat-expansion-panel-header collapsedHeight="64px" expandedHeight="64px">
        <mat-panel-title class="panel-title">
            <img [src]="part.part_img_url" width="40px" class="panel-title-img">
            <div class="panel-title-text">
                <div>{{part.name}}</div>
                <div class="panel-title-subtitle">{{part.part_num}}</div>
            </div>
        </mat-panel-title>
    </mat-expansion-panel-header>
    <ng-template matExpansionPanelContent>
        <mat-progress-bar mode="indeterminate" *ngIf="!(partColors || category)" color="accent"></mat-progress-bar>
        <div class="panel-content" *ngIf="partColors && category">
            <div class="panel-info">
                <img [src]="imgBigUrl" width="120px" class="mat-elevation-z2">
                <div class="panel-info-text">
                    <div class="mat-h2">Category : {{category.name}}</div>
                    <div matLine class="color-info">
                        Exists in {{partColors.length}} colors (
                        <mat-form-field [formGroup]="addPartsForm" floatLabel="never">
                            <mat-select formControlName="color" placeholder="Choose a color to view it">
                                <mat-option *ngFor="let color of partColors" [value]="color">
                                    <div class="color-option">
                                        <img [src]="color.part_img_url" width="30px">
                                        {{color.color_name}}
                                    </div>
                                </mat-option>
                            </mat-select>
                        </mat-form-field> )
                    </div>

                </div>
            </div>
            <form class="add-to" [formGroup]="addPartsForm" *ngIf="user$ | async">
                <span>Add part <strong>{{part.part_num}}</strong> in</span>
                <mat-form-field class="add-to-form-field">
                    <mat-label>Choose a color</mat-label>
                    <mat-select formControlName="color">
                        <mat-option *ngFor="let color of partColors" [value]="color">
                            <div class="color-option">
                                <img [src]="color.part_img_url" width="30px">
                                {{color.color_name}}
                            </div>
                        </mat-option>
                    </mat-select>
                </mat-form-field>
                <span>to</span>
                <mat-form-field class="add-to-form-field">
                    <mat-label>Choose a list</mat-label>
                    <mat-select formControlName="list">
                        <mat-option value="my">My parts</mat-option>
                        <mat-optgroup [label]="'My MOCs'">
                            <mat-option value="1">MOC 1</mat-option>
                            <mat-option value="2">MOC 2</mat-option>
                            <mat-option value="3">MOC 3</mat-option>
                        </mat-optgroup>
                    </mat-select>
                </mat-form-field>
                <mat-form-field class="add-to-form-field" *ngIf="addPartsForm.get('list').value === 'my'">
                    <mat-label>Condition</mat-label>
                    <mat-select formControlName="condition">
                        <mat-option value="new">New</mat-option>
                        <mat-option value="used">Used</mat-option>
                    </mat-select>
                </mat-form-field>
                <span>x</span>
                <mat-form-field class="add-to-form-field number">
                    <mat-label>Quantity</mat-label>
                    <input matInput formControlName="qty" type="number" min="1">
                </mat-form-field>
                <button mat-button color="primary" disabled matTooltip="to implement">Add</button>
            </form>
        </div>
    </ng-template>
</mat-expansion-panel>
<mat-divider></mat-divider>